---
updatedAt: 2025-11-13T23:15:01.000Z
---

# Gett ETA

## Resource

GET /v1/availability/eta

## Authorization

By api\_key with the [Public](https://developer.gett.com/docs/scopes) scope.

## Query Parameters

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        latitude
      </td>

      <td>
        float
      </td>

      <td>
        The current latitude.
      </td>
    </tr>

    <tr>
      <td>
        longitude
      </td>

      <td>
        float
      </td>

      <td>
        The current longitude.
      </td>
    </tr>

    <tr>
      <td>
        product\_id (optional)
      </td>

      <td>
        string
      </td>

      <td>
        The unique ID of the specific product.
      </td>
    </tr>
  </tbody>
</Table>

## Request

```curl
curl -X GET -H 'Authorization: Token [API_KEY]' \
            -H "Content-Type: application/json" \
            'https://api.gett.com/v1/availability/eta?latitude=32.0813144&longitude=34.8077173'
            
//For specefic product
curl -X GET -H 'Authorization: Token [API_KEY]' \
            -H "Content-Type: application/json" \
            'https://api.gett.com/v1/availability/eta?latitude=32.0813144&longitude=34.8077173&product_id=ca1bcd35-c427-4fa0-be0a-54ca5e956276'
```

## Response

```json 200 OK
{
  "etas": [
    {
      "product_id": "ca1bcd35-c427-4fa0-be0a-54ca5e956276",
      "display_name": "Gett Express",
      "eta": 265
    },
    {
      "product_id": "08d4801f-452d-49e7-9b96-944d7c2ca722",
      "display_name": "Gett Kids",
      "eta": 1800
    },
    {
      "product_id": "b64ca6d1-d5e8-4054-8dd8-ab858db82091",
      "display_name": "Gett Premium",
      "eta": 275
    },
    {
      "product_id": "93b83484-98c8-4b6b-8103-81a046bdd85a",
      "display_name": "Gett Mehadrin",
      "eta": 275
    }
  ]
}
```

<Table align={["left","left","left"]}>
  <thead>
    <tr>
      <th>
        Name
      </th>

      <th>
        Type
      </th>

      <th>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td>
        etas
      </td>

      <td>
        array
      </td>

      <td>
        The object containing the information about the etas of the available products.
      </td>
    </tr>

    <tr>
      <td>
        product\_id
      </td>

      <td>
        string
      </td>

      <td>
        The unique ID of the specific product.
      </td>
    </tr>

    <tr>
      <td>
        display\_name
      </td>

      <td>
        string
      </td>

      <td>
        The display name of the product.
      </td>
    </tr>

    <tr>
      <td>
        eta
      </td>

      <td>
        integer
      </td>

      <td>
        The estimation in seconds.
      </td>
    </tr>
  </tbody>
</Table>